Package org.springframework.batch.item

# Interface ItemWriter<T>

All Known Subinterfaces:
  `ItemStreamWriter<T>`, `ResourceAwareItemWriterItemStream<T>`

All Known Implementing Classes:
  `AbstractFileItemWriter`, `AbstractItemStreamItemWriter`, `AmqpItemWriter`, `AsyncItemWriter`, `AvroItemWriter`, `ChunkMessageChannelItemWriter`, `ClassifierCompositeItemWriter`, `CompositeItemWriter`, `FlatFileItemWriter`, `GemfireItemWriter`, `HibernateItemWriter`, `ItemWriterAdapter`, `JdbcBatchItemWriter`, `JmsItemWriter`, `JpaItemWriter`, `JsonFileItemWriter`, `KafkaItemWriter`, `KeyValueItemWriter`, `ListItemWriter`, `MimeMessageItemWriter`, `MongoItemWriter`, `MultiResourceItemWriter`, `Neo4jItemWriter`, `PropertyExtractingDelegatingItemWriter`, `RepositoryItemWriter`, `SimpleMailMessageItemWriter`, `SpELMappingGemfireItemWriter`, `StaxEventItemWriter`, `SynchronizedItemStreamWriter`

public interface ItemWriter<T>

Basic interface for generic output operations. Class implementing this interface will be responsible for serializing objects as necessary. Generally, it is responsibility of implementing class to decide which technology to use for mapping and how it should be configured.

The write method is responsible for making sure that any internal buffers are flushed. If a transaction is active it will also usually be necessary to discard the output on a subsequent rollback. The resource to which the writer is sending data should normally be able to handle this itself.

Author:
  Dave Syer, Lucas Ward

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `write(List<? extends T> items)`
  Process the supplied data element.

- ## Method Details

  - ### write

    void write(List<? extends T> items) throws Exception
    Process the supplied data element. Will not be called with any null items in normal operation.
    Parameters:
      `items` - items to be written
    Throws:
      `Exception` - if there are errors. The framework will catch the exception and convert or rethrow it as appropriate.